class SdkException implements Exception {
  final int _errorCode;

  int get errorCode => _errorCode;

  SdkException(this._errorCode);
}

class SdkTokenMissingException extends SdkException {
  SdkTokenMissingException() : super(6001);
}

class EnvironmentMissingException extends SdkException {
  EnvironmentMissingException() : super(6002);
}

class IllegalEnvironmentException extends SdkException {
  IllegalEnvironmentException() : super(6003);
}

class UnknownException extends SdkException {
  UnknownException() : super(9999);
}
