class GetApiTokenResponse {
  String accessToken;
  int expiresIn;
  int refreshExpiresIn;
  String refreshToken;
  String tokenType;
  String idToken;
  int notBeforePolicy;
  String sessionState;

  GetApiTokenResponse.fromJson(Map<String, dynamic> json) {
    this.accessToken = json['access_token'];
    this.expiresIn = json['expires_in'];
    this.refreshExpiresIn = json['refresh_expires_in'];
    this.refreshToken = json['refresh_token'];
    this.tokenType = json['token_type'];
    this.idToken = json['id_token'];
    this.notBeforePolicy = json['not_before_policy'];
    this.sessionState = json['session_state'];
  }
}
